com.hazelcast.logging

## Interface ILogger

- All Known Implementing Classes:
    AbstractLogger, Log4j2Factory.Log4j2Logger

      public interface ILogger

  The Hazelcast logging interface. It exists because Hazelcast doesn't want any dependencies on concrete logging frameworks, so it creates its own meta logging framework behind which existing frameworks can be placed.
  See Also:
    `AbstractLogger`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fine(String message)` Logs a message at the `Level.FINE` level.
    `void` | `fine(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.FINE` level.
    `void` | `fine(Throwable thrown)` Logs a throwable at the `Level.FINE` level.
    `void` | `finest(String message)` Logs a message at the `Level.FINEST` level.
    `void` | `finest(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.FINEST` level.
    `void` | `finest(Throwable thrown)` Logs a throwable at the `Level.FINEST` level.
    `Level` | `getLevel()` Gets the logging level.
    `void` | `info(String message)` Logs a message at the `Level.INFO` level.
    `void` | `info(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.INFO` level.
    `void` | `info(Throwable thrown)` Logs a throwable at the `Level.INFO` level.
    `boolean` | `isFineEnabled()` Checks if the `Level.FINE` level is enabled.
    `boolean` | `isFinestEnabled()` Checks if the `Level.FINEST` level is enabled.
    `boolean` | `isInfoEnabled()` Checks if the `Level.INFO` level is enabled.
    `boolean` | `isLoggable(Level level)` Checks if a message at the given level is going to be logged by this logger.
    `boolean` | `isSevereEnabled()` Checks if the `Level.SEVERE` is enabled.
    `boolean` | `isWarningEnabled()` Checks if the `Level.WARNING` is enabled.
    `void` | `log(Level level, String message)` Logs a message at the given level.
    `void` | `log(Level level, String message, Throwable thrown)` Logs a message with an associated throwable at the given level.
    `void` | `log(LogEvent logEvent)` Logs a LogEvent.
    `void` | `severe(String message)` Logs a message at `Level.SEVERE`.
    `void` | `severe(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.SEVERE` level.
    `void` | `severe(Throwable thrown)` Logs a throwable at the `Level.SEVERE` level.
    `void` | `warning(String message)` Logs a message at the `Level.WARNING` level.
    `void` | `warning(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.WARNING` level.
    `void` | `warning(Throwable thrown)` Logs a throwable at the `Level.WARNING` level.

- - ### Method Detail

    - #### finest

          void finest(String message)

      Logs a message at the `Level.FINEST` level.
      Parameters:
        `message` - the message to log

    - #### finest

          void finest(Throwable thrown)

      Logs a throwable at the `Level.FINEST` level. The message of the Throwable will be the logged message.
      Parameters:
        `thrown` - the Throwable to log

    - #### finest

          void finest(String message,
                      Throwable thrown)

      Logs a message with an associated throwable at the `Level.FINEST` level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isFinestEnabled

          boolean isFinestEnabled()

      Checks if the `Level.FINEST` level is enabled.
      Returns:
        true if enabled, false otherwise

    - #### fine

          void fine(String message)

      Logs a message at the `Level.FINE` level.
      Parameters:
        `message` - the message to log

    - #### fine

          void fine(Throwable thrown)

      Logs a throwable at the `Level.FINE` level. The message of the Throwable will be the logged message.
      Parameters:
        `thrown` - the Throwable to log

    - #### fine

          void fine(String message,
                    Throwable thrown)

      Logs a message with an associated throwable at the `Level.FINE` level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isFineEnabled

          boolean isFineEnabled()

      Checks if the `Level.FINE` level is enabled.
      Returns:
        true if enabled, false otherwise

    - #### info

          void info(String message)

      Logs a message at the `Level.INFO` level.
      Parameters:
        `message` - the message to log

    - #### info

          void info(Throwable thrown)

      Logs a throwable at the `Level.INFO` level. The message of the Throwable will be the logged message.
      Parameters:
        `thrown` - the Throwable to log

    - #### info

          void info(String message,
                    Throwable thrown)

      Logs a message with an associated throwable at the `Level.INFO` level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Checks if the `Level.INFO` level is enabled.
      Returns:
        true if enabled, false otherwise

    - #### warning

          void warning(String message)

      Logs a message at the `Level.WARNING` level.
      Parameters:
        `message` - the message to log

    - #### warning

          void warning(Throwable thrown)

      Logs a throwable at the `Level.WARNING` level. The message of the Throwable will be the logged message.
      Parameters:
        `thrown` - the Throwable to log

    - #### warning

          void warning(String message,
                       Throwable thrown)

      Logs a message with an associated throwable at the `Level.WARNING` level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isWarningEnabled

          boolean isWarningEnabled()

      Checks if the `Level.WARNING` is enabled.
      Returns:
        true if enabled, false otherwise

    - #### severe

          void severe(String message)

      Logs a message at `Level.SEVERE`.
      Parameters:
        `message` - the message to log.

    - #### severe

          void severe(Throwable thrown)

      Logs a throwable at the `Level.SEVERE` level. The message of the Throwable will be the logged message.
      Parameters:
        `thrown` - the Throwable to log

    - #### severe

          void severe(String message,
                      Throwable thrown)

      Logs a message with an associated throwable at the `Level.SEVERE` level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isSevereEnabled

          boolean isSevereEnabled()

      Checks if the `Level.SEVERE` is enabled.
      Returns:
        true if enabled, false otherwise

    - #### log

          void log(Level level,
                   String message)

      Logs a message at the given level.
      Parameters:
        `level` - the log level
        `message` - the message to log

    - #### log

          void log(Level level,
                   String message,
                   Throwable thrown)

      Logs a message with an associated throwable at the given level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### log

          void log(LogEvent logEvent)

      Logs a LogEvent.
      Parameters:
        `logEvent` - the logEvent to log

    - #### getLevel

          Level getLevel()

      Gets the logging level.
      Returns:
        the logging level

    - #### isLoggable

          boolean isLoggable(Level level)

      Checks if a message at the given level is going to be logged by this logger.
      Parameters:
        `level` - the log level
      Returns:
        true if this logger will log messages for the given level, false otherwise

Copyright © 2019. All rights reserved.